Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Interface FieldCache.LongParser

All Superinterfaces:
  FieldCache.Parser, Serializable

Enclosing interface:
  FieldCache

    public static interface FieldCache.LongParser

extends FieldCache.Parser

Interface to parse long from document fields.

See Also:
  `FieldCache.getLongs(IndexReader, String, FieldCache.LongParser)`

Method Summary
`long` | `parseLong(String string)` Return an long representation of this field's value.

Method Detail

### parseLong

    long parseLong(String string)

  Return an long representation of this field's value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD